summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorbep <bjorn.erik.pedersen@gmail.com>2015-05-14 23:18:00 +0200
committerbep <bjorn.erik.pedersen@gmail.com>2015-05-14 23:17:45 +0200
commitbef92baa48a9844ba1284a9c5412fff72684abbf (patch)
treed70781958bea3149c1fb809c649a0b610daf58f7
parentbe1a566203292bff51298afd4c8c46bd6df7cc0a (diff)
Add convenience script to run benchmarks
-rw-r--r--.gitignore1
-rwxr-xr-xbench.sh27
2 files changed, 28 insertions, 0 deletions
diff --git a/.gitignore b/.gitignore
index 41162a757..73a0539cf 100644
--- a/.gitignore
+++ b/.gitignore
@@ -1,5 +1,6 @@
hugo
docs/public*
+/.idea
hugo.exe
*.test
*.prof
diff --git a/bench.sh b/bench.sh
new file mode 100755
index 000000000..27335287d
--- /dev/null
+++ b/bench.sh
@@ -0,0 +1,27 @@
+#!/usr/bin/env bash
+
+
+# Convenience script to
+# - For a given branch
+# - Run benchmark tests for a given package
+# - Do the same for master
+# - then compare the two runs with benchcmp
+
+if [ $# -ne 2 ]
+ then
+ echo "USAGE: ./bench.sh <git-branch> <package-to-bench>"
+ exit 1
+fi
+
+
+BRANCH=$1
+PACKAGE=$2
+
+git checkout $BRANCH
+go test -test.run=NONE -bench=".*" -test.benchmem=true ./$PACKAGE > /tmp/bench-$PACKAGE-$BRANCH.txt
+
+git checkout master
+go test -test.run=NONE -bench=".*" -test.benchmem=true ./$PACKAGE > /tmp/bench-$PACKAGE-master.txt
+
+
+benchcmp /tmp/bench-$PACKAGE-master.txt /tmp/bench-$PACKAGE-$BRANCH.txt \ No newline at end of file